Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class QueryPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.QueryPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, QueryPackage

    public class QueryPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements QueryPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.QueryPackage
`QueryPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.QueryPackage
`ADHOC_QUERY_REQUEST_TYPE, ADHOC_QUERY_REQUEST_TYPE__FILTER_QUERY, ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION, ADHOC_QUERY_REQUEST_TYPE__SQL_QUERY, ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT, ADHOC_QUERY_RESPONSE_TYPE, ADHOC_QUERY_RESPONSE_TYPE__FILTER_QUERY_RESULT, ADHOC_QUERY_RESPONSE_TYPE__SQL_QUERY_RESULT, ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT, ASSOCIATION_BRANCH_TYPE, ASSOCIATION_BRANCH_TYPE__ASSOCIATION_FILTER, ASSOCIATION_BRANCH_TYPE__ASSOCIATION_QUERY, ASSOCIATION_BRANCH_TYPE__AUDITABLE_EVENT_QUERY, ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY, ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_QUERY, ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY, ASSOCIATION_BRANCH_TYPE__EXTERNAL_IDENTIFIER_FILTER, ASSOCIATION_BRANCH_TYPE__EXTERNAL_LINK_FILTER, ASSOCIATION_BRANCH_TYPE__EXTRINSIC_OBJECT_QUERY, ASSOCIATION_BRANCH_TYPE__ORGANIZATION_QUERY, ASSOCIATION_BRANCH_TYPE__REGISTRY_ENTRY_QUERY, ASSOCIATION_BRANCH_TYPE__REGISTRY_OBJECT_QUERY, ASSOCIATION_BRANCH_TYPE__REGISTRY_PACKAGE_QUERY, ASSOCIATION_BRANCH_TYPE__SERVICE_BINDING_BRANCH, ASSOCIATION_BRANCH_TYPE__SERVICE_QUERY, ASSOCIATION_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH, ASSOCIATION_BRANCH_TYPE__USER_BRANCH, ASSOCIATION_BRANCH_TYPE_FEATURE_COUNT, ASSOCIATION_QUERY_RESULT_TYPE, ASSOCIATION_QUERY_RESULT_TYPE__ASSOCIATION, ASSOCIATION_QUERY_RESULT_TYPE__GROUP, ASSOCIATION_QUERY_RESULT_TYPE__OBJECT_REF, ASSOCIATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT, ASSOCIATION_QUERY_RESULT_TYPE_FEATURE_COUNT, ASSOCIATION_QUERY_TYPE, ASSOCIATION_QUERY_TYPE__ASSOCIATION_FILTER, ASSOCIATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY, ASSOCIATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH, ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH, ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, ASSOCIATION_QUERY_TYPE__NAME_BRANCH, ASSOCIATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER, ASSOCIATION_QUERY_TYPE__SLOT_BRANCH, ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, ASSOCIATION_QUERY_TYPE_FEATURE_COUNT, AUDITABLE_EVENT_QUERY_RESULT_TYPE, AUDITABLE_EVENT_QUERY_RESULT_TYPE__AUDITABLE_EVENT, AUDITABLE_EVENT_QUERY_RESULT_TYPE__GROUP, AUDITABLE_EVENT_QUERY_RESULT_TYPE__OBJECT_REF, AUDITABLE_EVENT_QUERY_RESULT_TYPE__REGISTRY_OBJECT, AUDITABLE_EVENT_QUERY_RESULT_TYPE_FEATURE_COUNT, AUDITABLE_EVENT_QUERY_TYPE, AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_FILTER, AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_QUERY, AUDITABLE_EVENT_QUERY_TYPE__CLASSIFIED_BY_BRANCH, AUDITABLE_EVENT_QUERY_TYPE__DESCRIPTION_BRANCH, AUDITABLE_EVENT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, AUDITABLE_EVENT_QUERY_TYPE__NAME_BRANCH, AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_ENTRY_QUERY, AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_FILTER, AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_QUERY, AUDITABLE_EVENT_QUERY_TYPE__SLOT_BRANCH, AUDITABLE_EVENT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, AUDITABLE_EVENT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, AUDITABLE_EVENT_QUERY_TYPE__USER_BRANCH, AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT, BOOLEAN_CLAUSE_TYPE, BOOLEAN_CLAUSE_TYPE__BOOLEAN_PREDICATE, BOOLEAN_CLAUSE_TYPE_FEATURE_COUNT, CLASSIFICATION_NODE_QUERY_RESULT_TYPE, CLASSIFICATION_NODE_QUERY_RESULT_TYPE__CLASSIFICATION_NODE, CLASSIFICATION_NODE_QUERY_RESULT_TYPE__GROUP, CLASSIFICATION_NODE_QUERY_RESULT_TYPE__OBJECT_REF, CLASSIFICATION_NODE_QUERY_RESULT_TYPE__REGISTRY_OBJECT, CLASSIFICATION_NODE_QUERY_RESULT_TYPE_FEATURE_COUNT, CLASSIFICATION_NODE_QUERY_TYPE, CLASSIFICATION_NODE_QUERY_TYPE__AUDITABLE_EVENT_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_CHILDREN_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_FILTER, CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_PARENT_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFIED_BY_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__REGISTRY_OBJECT_FILTER, CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT, CLASSIFICATION_QUERY_RESULT_TYPE, CLASSIFICATION_QUERY_RESULT_TYPE__CLASSIFICATION, CLASSIFICATION_QUERY_RESULT_TYPE__GROUP, CLASSIFICATION_QUERY_RESULT_TYPE__OBJECT_REF, CLASSIFICATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT, CLASSIFICATION_QUERY_RESULT_TYPE_FEATURE_COUNT, CLASSIFICATION_QUERY_TYPE, CLASSIFICATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY, CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_FILTER, CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY, CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY, CLASSIFICATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH, CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH, CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, CLASSIFICATION_QUERY_TYPE__NAME_BRANCH, CLASSIFICATION_QUERY_TYPE__REGISTRY_ENTRY_QUERY, CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER, CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY, CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH, CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT, CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE, CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME, CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__GROUP, CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__OBJECT_REF, CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_ENTRY, CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_OBJECT, CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE_FEATURE_COUNT, CLASSIFICATION_SCHEME_QUERY_TYPE, CLASSIFICATION_SCHEME_QUERY_TYPE__AUDITABLE_EVENT_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_SCHEME_FILTER, CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFIED_BY_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_ENTRY_FILTER, CLASSIFICATION_SCHEME_QUERY_TYPE__REGISTRY_OBJECT_FILTER, CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT, CLASSIFIED_BY_BRANCH_TYPE, CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_FILTER, CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY, CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY, CLASSIFIED_BY_BRANCH_TYPE_FEATURE_COUNT, CLAUSE_TYPE, CLAUSE_TYPE__COMPOUND_CLAUSE, CLAUSE_TYPE__SIMPLE_CLAUSE, CLAUSE_TYPE_FEATURE_COUNT, COMPOUND_CLAUSE_TYPE, COMPOUND_CLAUSE_TYPE__CLAUSE, COMPOUND_CLAUSE_TYPE__CONNECTIVE_PREDICATE, COMPOUND_CLAUSE_TYPE_FEATURE_COUNT, CONNECTIVE_PREDICATE_TYPE, CONNECTIVE_PREDICATE_TYPE_OBJECT, DOCUMENT_ROOT, DOCUMENT_ROOT__ADHOC_QUERY_REQUEST, DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE, DOCUMENT_ROOT__ASSOCIATION_FILTER, DOCUMENT_ROOT__ASSOCIATION_QUERY, DOCUMENT_ROOT__ASSOCIATION_QUERY_RESULT, DOCUMENT_ROOT__AUDITABLE_EVENT_FILTER, DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY, DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY_RESULT, DOCUMENT_ROOT__BOOLEAN_CLAUSE, DOCUMENT_ROOT__CLASSIFICATION_FILTER, DOCUMENT_ROOT__CLASSIFICATION_NODE_CHILDREN_BRANCH, DOCUMENT_ROOT__CLASSIFICATION_NODE_FILTER, DOCUMENT_ROOT__CLASSIFICATION_NODE_PARENT_BRANCH, DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY, DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY_RESULT, DOCUMENT_ROOT__CLASSIFICATION_QUERY, DOCUMENT_ROOT__CLASSIFICATION_QUERY_RESULT, DOCUMENT_ROOT__CLASSIFICATION_SCHEME_FILTER, DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY, DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY_RESULT, DOCUMENT_ROOT__CLASSIFIED_BY_BRANCH, DOCUMENT_ROOT__CLAUSE, DOCUMENT_ROOT__COMPOUND_CLAUSE, DOCUMENT_ROOT__DATE_TIME_CLAUSE, DOCUMENT_ROOT__DESCRIPTION_BRANCH, DOCUMENT_ROOT__EMAIL_ADDRESS_FILTER, DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_FILTER, DOCUMENT_ROOT__EXTERNAL_LINK_FILTER, DOCUMENT_ROOT__EXTRINSIC_OBJECT_FILTER, DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY, DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY_RESULT, DOCUMENT_ROOT__FILTER_QUERY, DOCUMENT_ROOT__FILTER_QUERY_RESULT, DOCUMENT_ROOT__FLOAT_CLAUSE, DOCUMENT_ROOT__GET_CONTENT_REQUEST, DOCUMENT_ROOT__GET_CONTENT_RESPONSE, DOCUMENT_ROOT__INT_CLAUSE, DOCUMENT_ROOT__LOCALIZED_STRING_FILTER, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__NAME_BRANCH, DOCUMENT_ROOT__ORGANIZATION_CHILDREN_BRANCH, DOCUMENT_ROOT__ORGANIZATION_FILTER, DOCUMENT_ROOT__ORGANIZATION_PARENT_BRANCH, DOCUMENT_ROOT__ORGANIZATION_QUERY, DOCUMENT_ROOT__ORGANIZATION_QUERY_RESULT, DOCUMENT_ROOT__POSTAL_ADDRESS_FILTER, DOCUMENT_ROOT__RATIONAL_CLAUSE, DOCUMENT_ROOT__REGISTRY_ENTRY_FILTER, DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY, DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY_RESULT, DOCUMENT_ROOT__REGISTRY_OBJECT_FILTER, DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY, DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY_RESULT, DOCUMENT_ROOT__REGISTRY_PACKAGE_FILTER, DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY, DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY_RESULT, DOCUMENT_ROOT__RESPONSE_OPTION, DOCUMENT_ROOT__SERVICE_BINDING_BRANCH, DOCUMENT_ROOT__SERVICE_BINDING_FILTER, DOCUMENT_ROOT__SERVICE_BINDING_TARGET_BRANCH, DOCUMENT_ROOT__SERVICE_FILTER, DOCUMENT_ROOT__SERVICE_QUERY, DOCUMENT_ROOT__SERVICE_QUERY_RESULT, DOCUMENT_ROOT__SIMPLE_CLAUSE, DOCUMENT_ROOT__SLOT_BRANCH, DOCUMENT_ROOT__SLOT_FILTER, DOCUMENT_ROOT__SLOT_VALUE_FILTER, DOCUMENT_ROOT__SOURCE_ASSOCIATION_BRANCH, DOCUMENT_ROOT__SPECIFICATION_LINK_BRANCH, DOCUMENT_ROOT__SPECIFICATION_LINK_FILTER, DOCUMENT_ROOT__SQL_QUERY, DOCUMENT_ROOT__SQL_QUERY_RESULT, DOCUMENT_ROOT__STRING_CLAUSE, DOCUMENT_ROOT__TARGET_ASSOCIATION_BRANCH, DOCUMENT_ROOT__TELEPHONE_NUMBER_FILTER, DOCUMENT_ROOT__USER_BRANCH, DOCUMENT_ROOT__USER_FILTER, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXTRINSIC_OBJECT_QUERY_RESULT_TYPE, EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT, EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__GROUP, EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__OBJECT_REF, EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_ENTRY, EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_OBJECT, EXTRINSIC_OBJECT_QUERY_RESULT_TYPE_FEATURE_COUNT, EXTRINSIC_OBJECT_QUERY_TYPE, EXTRINSIC_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY, EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, EXTRINSIC_OBJECT_QUERY_TYPE__EXTRINSIC_OBJECT_FILTER, EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_ENTRY_FILTER, EXTRINSIC_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER, EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT, FILTER_QUERY_RESULT_TYPE, FILTER_QUERY_RESULT_TYPE__ASSOCIATION_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__AUDITABLE_EVENT_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_NODE_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__ORGANIZATION_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__REGISTRY_ENTRY_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__REGISTRY_OBJECT_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__REGISTRY_PACKAGE_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE__SERVICE_QUERY_RESULT, FILTER_QUERY_RESULT_TYPE_FEATURE_COUNT, FILTER_QUERY_TYPE, FILTER_QUERY_TYPE__ASSOCIATION_QUERY, FILTER_QUERY_TYPE__AUDITABLE_EVENT_QUERY, FILTER_QUERY_TYPE__CLASSIFICATION_NODE_QUERY, FILTER_QUERY_TYPE__CLASSIFICATION_QUERY, FILTER_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY, FILTER_QUERY_TYPE__EXTRINSIC_OBJECT_QUERY, FILTER_QUERY_TYPE__ORGANIZATION_QUERY, FILTER_QUERY_TYPE__REGISTRY_ENTRY_QUERY, FILTER_QUERY_TYPE__REGISTRY_OBJECT_QUERY, FILTER_QUERY_TYPE__REGISTRY_PACKAGE_QUERY, FILTER_QUERY_TYPE__SERVICE_QUERY, FILTER_QUERY_TYPE_FEATURE_COUNT, FILTER_TYPE, FILTER_TYPE__CLAUSE, FILTER_TYPE_FEATURE_COUNT, GET_CONTENT_REQUEST_TYPE, GET_CONTENT_REQUEST_TYPE__OBJECT_REF_LIST, GET_CONTENT_REQUEST_TYPE_FEATURE_COUNT, GET_CONTENT_RESPONSE_TYPE, GET_CONTENT_RESPONSE_TYPE_FEATURE_COUNT, INTERNATIONAL_STRING_BRANCH_TYPE, INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER, INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT, LOGICAL_PREDICATE_TYPE, LOGICAL_PREDICATE_TYPE_OBJECT, ORGANIZATION_QUERY_RESULT_TYPE, ORGANIZATION_QUERY_RESULT_TYPE__GROUP, ORGANIZATION_QUERY_RESULT_TYPE__OBJECT_REF, ORGANIZATION_QUERY_RESULT_TYPE__ORGANIZATION, ORGANIZATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT, ORGANIZATION_QUERY_RESULT_TYPE_FEATURE_COUNT, ORGANIZATION_QUERY_TYPE, ORGANIZATION_QUERY_TYPE__AUDITABLE_EVENT_QUERY, ORGANIZATION_QUERY_TYPE__CLASSIFIED_BY_BRANCH, ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH, ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, ORGANIZATION_QUERY_TYPE__NAME_BRANCH, ORGANIZATION_QUERY_TYPE__ORGANIZATION_CHILDREN_BRANCH, ORGANIZATION_QUERY_TYPE__ORGANIZATION_FILTER, ORGANIZATION_QUERY_TYPE__ORGANIZATION_PARENT_BRANCH, ORGANIZATION_QUERY_TYPE__POSTAL_ADDRESS_FILTER, ORGANIZATION_QUERY_TYPE__REGISTRY_OBJECT_FILTER, ORGANIZATION_QUERY_TYPE__SLOT_BRANCH, ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER, ORGANIZATION_QUERY_TYPE__USER_BRANCH, ORGANIZATION_QUERY_TYPE_FEATURE_COUNT, RATIONAL_CLAUSE_TYPE, RATIONAL_CLAUSE_TYPE__DATE_TIME_CLAUSE, RATIONAL_CLAUSE_TYPE__FLOAT_CLAUSE, RATIONAL_CLAUSE_TYPE__INT_CLAUSE, RATIONAL_CLAUSE_TYPE__LOGICAL_PREDICATE, RATIONAL_CLAUSE_TYPE_FEATURE_COUNT, REGISTRY_ENTRY_QUERY_RESULT_TYPE, REGISTRY_ENTRY_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME, REGISTRY_ENTRY_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT, REGISTRY_ENTRY_QUERY_RESULT_TYPE__GROUP, REGISTRY_ENTRY_QUERY_RESULT_TYPE__OBJECT_REF, REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_ENTRY, REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_OBJECT, REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_PACKAGE, REGISTRY_ENTRY_QUERY_RESULT_TYPE__SERVICE, REGISTRY_ENTRY_QUERY_RESULT_TYPE_FEATURE_COUNT, REGISTRY_ENTRY_QUERY_TYPE, REGISTRY_ENTRY_QUERY_TYPE__AUDITABLE_EVENT_QUERY, REGISTRY_ENTRY_QUERY_TYPE__CLASSIFIED_BY_BRANCH, REGISTRY_ENTRY_QUERY_TYPE__DESCRIPTION_BRANCH, REGISTRY_ENTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, REGISTRY_ENTRY_QUERY_TYPE__NAME_BRANCH, REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_ENTRY_FILTER, REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_OBJECT_FILTER, REGISTRY_ENTRY_QUERY_TYPE__SLOT_BRANCH, REGISTRY_ENTRY_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, REGISTRY_ENTRY_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, REGISTRY_ENTRY_QUERY_TYPE_FEATURE_COUNT, REGISTRY_OBJECT_QUERY_TYPE, REGISTRY_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY, REGISTRY_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER, REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT, REGISTRY_PACKAGE_QUERY_RESULT_TYPE, REGISTRY_PACKAGE_QUERY_RESULT_TYPE__GROUP, REGISTRY_PACKAGE_QUERY_RESULT_TYPE__OBJECT_REF, REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_ENTRY, REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_OBJECT, REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_PACKAGE, REGISTRY_PACKAGE_QUERY_RESULT_TYPE_FEATURE_COUNT, REGISTRY_PACKAGE_QUERY_TYPE, REGISTRY_PACKAGE_QUERY_TYPE__AUDITABLE_EVENT_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFIED_BY_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_FILTER, REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_FILTER, REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_PACKAGE_FILTER, REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT, RESPONSE_OPTION_TYPE, RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS, RESPONSE_OPTION_TYPE__RETURN_TYPE, RESPONSE_OPTION_TYPE_FEATURE_COUNT, RETURN_TYPE_TYPE, RETURN_TYPE_TYPE_OBJECT, SERVICE_BINDING_BRANCH_TYPE, SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_FILTER, SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_TARGET_BRANCH, SERVICE_BINDING_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH, SERVICE_BINDING_BRANCH_TYPE_FEATURE_COUNT, SERVICE_QUERY_RESULT_TYPE, SERVICE_QUERY_RESULT_TYPE__GROUP, SERVICE_QUERY_RESULT_TYPE__OBJECT_REF, SERVICE_QUERY_RESULT_TYPE__REGISTRY_ENTRY, SERVICE_QUERY_RESULT_TYPE__REGISTRY_OBJECT, SERVICE_QUERY_RESULT_TYPE__SERVICE, SERVICE_QUERY_RESULT_TYPE_FEATURE_COUNT, SERVICE_QUERY_TYPE, SERVICE_QUERY_TYPE__AUDITABLE_EVENT_QUERY, SERVICE_QUERY_TYPE__CLASSIFIED_BY_BRANCH, SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH, SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER, SERVICE_QUERY_TYPE__NAME_BRANCH, SERVICE_QUERY_TYPE__REGISTRY_ENTRY_FILTER, SERVICE_QUERY_TYPE__REGISTRY_OBJECT_FILTER, SERVICE_QUERY_TYPE__SERVICE_BINDING_BRANCH, SERVICE_QUERY_TYPE__SERVICE_FILTER, SERVICE_QUERY_TYPE__SLOT_BRANCH, SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH, SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH, SERVICE_QUERY_TYPE_FEATURE_COUNT, SIMPLE_CLAUSE_TYPE, SIMPLE_CLAUSE_TYPE__BOOLEAN_CLAUSE, SIMPLE_CLAUSE_TYPE__LEFT_ARGUMENT, SIMPLE_CLAUSE_TYPE__RATIONAL_CLAUSE, SIMPLE_CLAUSE_TYPE__STRING_CLAUSE, SIMPLE_CLAUSE_TYPE_FEATURE_COUNT, SLOT_BRANCH_TYPE, SLOT_BRANCH_TYPE__SLOT_FILTER, SLOT_BRANCH_TYPE__SLOT_VALUE_FILTER, SLOT_BRANCH_TYPE_FEATURE_COUNT, SPECIFICATION_LINK_BRANCH_TYPE, SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_ENTRY_QUERY, SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_OBJECT_QUERY, SPECIFICATION_LINK_BRANCH_TYPE__SPECIFICATION_LINK_FILTER, SPECIFICATION_LINK_BRANCH_TYPE_FEATURE_COUNT, STRING_CLAUSE_TYPE, STRING_CLAUSE_TYPE__STRING_PREDICATE, STRING_CLAUSE_TYPE__VALUE, STRING_CLAUSE_TYPE_FEATURE_COUNT, STRING_PREDICATE_TYPE, STRING_PREDICATE_TYPE_OBJECT, USER_BRANCH_TYPE, USER_BRANCH_TYPE__EMAIL_ADDRESS_FILTER, USER_BRANCH_TYPE__ORGANIZATION_QUERY, USER_BRANCH_TYPE__POSTAL_ADDRESS_FILTER, USER_BRANCH_TYPE__TELEPHONE_NUMBER_FILTER, USER_BRANCH_TYPE__USER_FILTER, USER_BRANCH_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_FilterQuery()`
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_ResponseOption()`
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_SQLQuery()`
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryRequestType()`
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryResponseType_FilterQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryResponseType_SQLQueryResult()`
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryResponseType()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_AssociationFilter()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_AssociationQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_AuditableEventQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ClassificationNodeQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ClassificationQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ExternalIdentifierFilter()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ExternalLinkFilter()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ExtrinsicObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_OrganizationQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_RegistryEntryQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_RegistryPackageQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ServiceBindingBranch()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_ServiceQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_SpecificationLinkBranch()`
`org.eclipse.emf.ecore.EReference` | `getAssociationBranchType_UserBranch()`
`org.eclipse.emf.ecore.EClass` | `getAssociationBranchType()`
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryResultType_Association()`
`org.eclipse.emf.ecore.EAttribute` | `getAssociationQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getAssociationQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_AssociationFilter()`
`org.eclipse.emf.ecore.EClass` | `getAssociationQueryType()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryResultType_AuditableEvent()`
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getAuditableEventQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_AuditableEventFilter()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_RegistryEntryQuery()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_UserBranch()`
`org.eclipse.emf.ecore.EClass` | `getAuditableEventQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getBooleanClauseType_BooleanPredicate()`
`org.eclipse.emf.ecore.EClass` | `getBooleanClauseType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryResultType_ClassificationNode()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationNodeChildrenBranch()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationNodeFilter()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationNodeParentBranch()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeQueryType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryResultType_Classification()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getClassificationQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationFilter()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationNodeQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_RegistryEntryQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EClass` | `getClassificationQueryType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_ClassificationScheme()`
`org.eclipse.emf.ecore.EAttribute` | `getClassificationSchemeQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_RegistryEntry()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryType_ClassificationSchemeFilter()`
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeQueryType()`
`org.eclipse.emf.ecore.EReference` | `getClassifiedByBranchType_ClassificationFilter()`
`org.eclipse.emf.ecore.EReference` | `getClassifiedByBranchType_ClassificationNodeQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassifiedByBranchType_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EClass` | `getClassifiedByBranchType()`
`org.eclipse.emf.ecore.EReference` | `getClauseType_CompoundClause()`
`org.eclipse.emf.ecore.EReference` | `getClauseType_SimpleClause()`
`org.eclipse.emf.ecore.EClass` | `getClauseType()`
`org.eclipse.emf.ecore.EReference` | `getCompoundClauseType_Clause()`
`org.eclipse.emf.ecore.EAttribute` | `getCompoundClauseType_ConnectivePredicate()`
`org.eclipse.emf.ecore.EClass` | `getCompoundClauseType()`
`org.eclipse.emf.ecore.EEnum` | `getConnectivePredicateType()`
`org.eclipse.emf.ecore.EDataType` | `getConnectivePredicateTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryResponse()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_BooleanClause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeChildrenBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeParentBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassifiedByBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Clause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CompoundClause()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_DateTimeClause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DescriptionBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_EmailAddressFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalIdentifierFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalLinkFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FilterQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FilterQueryResult()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_FloatClause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_GetContentRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_GetContentResponse()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_IntClause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_LocalizedStringFilter()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_NameBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationChildrenBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationParentBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_PostalAddressFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RationalClause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryEntryFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryEntryQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryEntryQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ResponseOption()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingTargetBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SimpleClause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SlotBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SlotFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SlotValueFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SourceAssociationBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLinkBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLinkFilter()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_SqlQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SqlQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_StringClause()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_TargetAssociationBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_TelephoneNumberFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UserBranch()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UserFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_ExtrinsicObject()`
`org.eclipse.emf.ecore.EAttribute` | `getExtrinsicObjectQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_RegistryEntry()`
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryType_ExtrinsicObjectFilter()`
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectQueryType()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_AssociationQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_AuditableEventQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ClassificationNodeQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ClassificationQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ClassificationSchemeQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ExtrinsicObjectQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_OrganizationQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_RegistryEntryQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_RegistryObjectQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_RegistryPackageQueryResult()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryResultType_ServiceQueryResult()`
`org.eclipse.emf.ecore.EClass` | `getFilterQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_AssociationQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_AuditableEventQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ClassificationNodeQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ClassificationQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ExtrinsicObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_OrganizationQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_RegistryEntryQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_RegistryPackageQuery()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_ServiceQuery()`
`org.eclipse.emf.ecore.EClass` | `getFilterQueryType()`
`org.eclipse.emf.ecore.EReference` | `getFilterType_Clause()`
`org.eclipse.emf.ecore.EClass` | `getFilterType()`
`org.eclipse.emf.ecore.EReference` | `getGetContentRequestType_ObjectRefList()`
`org.eclipse.emf.ecore.EClass` | `getGetContentRequestType()`
`org.eclipse.emf.ecore.EClass` | `getGetContentResponseType()`
`org.eclipse.emf.ecore.EReference` | `getInternationalStringBranchType_LocalizedStringFilter()`
`org.eclipse.emf.ecore.EClass` | `getInternationalStringBranchType()`
`org.eclipse.emf.ecore.EEnum` | `getLogicalPredicateType()`
`org.eclipse.emf.ecore.EDataType` | `getLogicalPredicateTypeObject()`
`org.eclipse.emf.ecore.EAttribute` | `getOrganizationQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryResultType_Organization()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EClass` | `getOrganizationQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_OrganizationChildrenBranch()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_OrganizationFilter()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_OrganizationParentBranch()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_PostalAddressFilter()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_TelephoneNumberFilter()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_UserBranch()`
`org.eclipse.emf.ecore.EClass` | `getOrganizationQueryType()`
`QueryFactory` | `getQueryFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_DateTimeClause()`
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_FloatClause()`
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_IntClause()`
`org.eclipse.emf.ecore.EAttribute` | `getRationalClauseType_LogicalPredicate()`
`org.eclipse.emf.ecore.EClass` | `getRationalClauseType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_ClassificationScheme()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_ExtrinsicObject()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryEntryQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_RegistryEntry()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_RegistryPackage()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryResultType_Service()`
`org.eclipse.emf.ecore.EClass` | `getRegistryEntryQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryEntryQueryType_RegistryEntryFilter()`
`org.eclipse.emf.ecore.EClass` | `getRegistryEntryQueryType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_AuditableEventQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ClassifiedByBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_DescriptionBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ExternalIdentifierFilter()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_NameBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_RegistryObjectFilter()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SlotBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SourceAssociationBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_TargetAssociationBranch()`
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryPackageQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_RegistryEntry()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryResultType_RegistryPackage()`
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryEntryQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryPackageFilter()`
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnComposedObjects()`
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnType()`
`org.eclipse.emf.ecore.EClass` | `getResponseOptionType()`
`org.eclipse.emf.ecore.EEnum` | `getReturnTypeType()`
`org.eclipse.emf.ecore.EDataType` | `getReturnTypeTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getServiceBindingBranchType_ServiceBindingFilter()`
`org.eclipse.emf.ecore.EReference` | `getServiceBindingBranchType_ServiceBindingTargetBranch()`
`org.eclipse.emf.ecore.EReference` | `getServiceBindingBranchType_SpecificationLinkBranch()`
`org.eclipse.emf.ecore.EClass` | `getServiceBindingBranchType()`
`org.eclipse.emf.ecore.EAttribute` | `getServiceQueryResultType_Group()`
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_ObjectRef()`
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_RegistryEntry()`
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_RegistryObject()`
`org.eclipse.emf.ecore.EReference` | `getServiceQueryResultType_Service()`
`org.eclipse.emf.ecore.EClass` | `getServiceQueryResultType()`
`org.eclipse.emf.ecore.EReference` | `getServiceQueryType_ServiceBindingBranch()`
`org.eclipse.emf.ecore.EReference` | `getServiceQueryType_ServiceFilter()`
`org.eclipse.emf.ecore.EClass` | `getServiceQueryType()`
`org.eclipse.emf.ecore.EReference` | `getSimpleClauseType_BooleanClause()`
`org.eclipse.emf.ecore.EAttribute` | `getSimpleClauseType_LeftArgument()`
`org.eclipse.emf.ecore.EReference` | `getSimpleClauseType_RationalClause()`
`org.eclipse.emf.ecore.EReference` | `getSimpleClauseType_StringClause()`
`org.eclipse.emf.ecore.EClass` | `getSimpleClauseType()`
`org.eclipse.emf.ecore.EReference` | `getSlotBranchType_SlotFilter()`
`org.eclipse.emf.ecore.EReference` | `getSlotBranchType_SlotValueFilter()`
`org.eclipse.emf.ecore.EClass` | `getSlotBranchType()`
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkBranchType_RegistryEntryQuery()`
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkBranchType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkBranchType_SpecificationLinkFilter()`
`org.eclipse.emf.ecore.EClass` | `getSpecificationLinkBranchType()`
`org.eclipse.emf.ecore.EAttribute` | `getStringClauseType_StringPredicate()`
`org.eclipse.emf.ecore.EAttribute` | `getStringClauseType_Value()`
`org.eclipse.emf.ecore.EClass` | `getStringClauseType()`
`org.eclipse.emf.ecore.EEnum` | `getStringPredicateType()`
`org.eclipse.emf.ecore.EDataType` | `getStringPredicateTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_EmailAddressFilter()`
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_OrganizationQuery()`
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_PostalAddressFilter()`
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_TelephoneNumberFilter()`
`org.eclipse.emf.ecore.EReference` | `getUserBranchType_UserFilter()`
`org.eclipse.emf.ecore.EClass` | `getUserBranchType()`
`static QueryPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static QueryPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `QueryPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAdhocQueryRequestType

    public org.eclipse.emf.ecore.EClass getAdhocQueryRequestType()

  Specified by:
    `getAdhocQueryRequestType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Adhoc Query Request Type'.
  See Also:
    `AdhocQueryRequestType`

### getAdhocQueryRequestType_ResponseOption

    public org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_ResponseOption()

  Specified by:
    `getAdhocQueryRequestType_ResponseOption` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `AdhocQueryRequestType.getResponseOption()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryRequestType_FilterQuery

    public org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_FilterQuery()

  Specified by:
    `getAdhocQueryRequestType_FilterQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Filter Query'.
  See Also:
    `AdhocQueryRequestType.getFilterQuery()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryRequestType_SQLQuery

    public org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_SQLQuery()

  Specified by:
    `getAdhocQueryRequestType_SQLQuery` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'SQL Query'.
  See Also:
    `AdhocQueryRequestType.getSQLQuery()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryResponseType

    public org.eclipse.emf.ecore.EClass getAdhocQueryResponseType()

  Specified by:
    `getAdhocQueryResponseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Adhoc Query Response Type'.
  See Also:
    `AdhocQueryResponseType`

### getAdhocQueryResponseType_FilterQueryResult

    public org.eclipse.emf.ecore.EReference getAdhocQueryResponseType_FilterQueryResult()

  Specified by:
    `getAdhocQueryResponseType_FilterQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Filter Query Result'.
  See Also:
    `AdhocQueryResponseType.getFilterQueryResult()`, `QueryPackage.getAdhocQueryResponseType()`

### getAdhocQueryResponseType_SQLQueryResult

    public org.eclipse.emf.ecore.EReference getAdhocQueryResponseType_SQLQueryResult()

  Specified by:
    `getAdhocQueryResponseType_SQLQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'SQL Query Result'.
  See Also:
    `AdhocQueryResponseType.getSQLQueryResult()`, `QueryPackage.getAdhocQueryResponseType()`

### getAssociationBranchType

    public org.eclipse.emf.ecore.EClass getAssociationBranchType()

  Specified by:
    `getAssociationBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Association Branch Type'.
  See Also:
    `AssociationBranchType`

### getAssociationBranchType_AssociationFilter

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_AssociationFilter()

  Specified by:
    `getAssociationBranchType_AssociationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Filter'.
  See Also:
    `AssociationBranchType.getAssociationFilter()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ExternalLinkFilter

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ExternalLinkFilter()

  Specified by:
    `getAssociationBranchType_ExternalLinkFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'External Link Filter'.
  See Also:
    `AssociationBranchType.getExternalLinkFilter()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ExternalIdentifierFilter

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ExternalIdentifierFilter()

  Specified by:
    `getAssociationBranchType_ExternalIdentifierFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'External Identifier Filter'.
  See Also:
    `AssociationBranchType.getExternalIdentifierFilter()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_RegistryObjectQuery()

  Specified by:
    `getAssociationBranchType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `AssociationBranchType.getRegistryObjectQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_RegistryEntryQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_RegistryEntryQuery()

  Specified by:
    `getAssociationBranchType_RegistryEntryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `AssociationBranchType.getRegistryEntryQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_AssociationQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_AssociationQuery()

  Specified by:
    `getAssociationBranchType_AssociationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `AssociationBranchType.getAssociationQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ClassificationQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ClassificationQuery()

  Specified by:
    `getAssociationBranchType_ClassificationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `AssociationBranchType.getClassificationQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ClassificationSchemeQuery()

  Specified by:
    `getAssociationBranchType_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `AssociationBranchType.getClassificationSchemeQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ClassificationNodeQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ClassificationNodeQuery()

  Specified by:
    `getAssociationBranchType_ClassificationNodeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `AssociationBranchType.getClassificationNodeQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_OrganizationQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_OrganizationQuery()

  Specified by:
    `getAssociationBranchType_OrganizationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `AssociationBranchType.getOrganizationQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_AuditableEventQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_AuditableEventQuery()

  Specified by:
    `getAssociationBranchType_AuditableEventQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `AssociationBranchType.getAuditableEventQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_RegistryPackageQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_RegistryPackageQuery()

  Specified by:
    `getAssociationBranchType_RegistryPackageQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `AssociationBranchType.getRegistryPackageQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ExtrinsicObjectQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ExtrinsicObjectQuery()

  Specified by:
    `getAssociationBranchType_ExtrinsicObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `AssociationBranchType.getExtrinsicObjectQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ServiceQuery

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ServiceQuery()

  Specified by:
    `getAssociationBranchType_ServiceQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `AssociationBranchType.getServiceQuery()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_UserBranch

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_UserBranch()

  Specified by:
    `getAssociationBranchType_UserBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `AssociationBranchType.getUserBranch()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_ServiceBindingBranch

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_ServiceBindingBranch()

  Specified by:
    `getAssociationBranchType_ServiceBindingBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Branch'.
  See Also:
    `AssociationBranchType.getServiceBindingBranch()`, `QueryPackage.getAssociationBranchType()`

### getAssociationBranchType_SpecificationLinkBranch

    public org.eclipse.emf.ecore.EReference getAssociationBranchType_SpecificationLinkBranch()

  Specified by:
    `getAssociationBranchType_SpecificationLinkBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Specification Link Branch'.
  See Also:
    `AssociationBranchType.getSpecificationLinkBranch()`, `QueryPackage.getAssociationBranchType()`

### getAssociationQueryResultType

    public org.eclipse.emf.ecore.EClass getAssociationQueryResultType()

  Specified by:
    `getAssociationQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Association Query Result Type'.
  See Also:
    `AssociationQueryResultType`

### getAssociationQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getAssociationQueryResultType_Group()

  Specified by:
    `getAssociationQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `AssociationQueryResultType.getGroup()`, `QueryPackage.getAssociationQueryResultType()`

### getAssociationQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getAssociationQueryResultType_ObjectRef()

  Specified by:
    `getAssociationQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `AssociationQueryResultType.getObjectRef()`, `QueryPackage.getAssociationQueryResultType()`

### getAssociationQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getAssociationQueryResultType_RegistryObject()

  Specified by:
    `getAssociationQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `AssociationQueryResultType.getRegistryObject()`, `QueryPackage.getAssociationQueryResultType()`

### getAssociationQueryResultType_Association

    public org.eclipse.emf.ecore.EReference getAssociationQueryResultType_Association()

  Specified by:
    `getAssociationQueryResultType_Association` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Association'.
  See Also:
    `AssociationQueryResultType.getAssociation()`, `QueryPackage.getAssociationQueryResultType()`

### getAssociationQueryType

    public org.eclipse.emf.ecore.EClass getAssociationQueryType()

  Specified by:
    `getAssociationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Association Query Type'.
  See Also:
    `AssociationQueryType`

### getAssociationQueryType_AssociationFilter

    public org.eclipse.emf.ecore.EReference getAssociationQueryType_AssociationFilter()

  Specified by:
    `getAssociationQueryType_AssociationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Filter'.
  See Also:
    `AssociationQueryType.getAssociationFilter()`, `QueryPackage.getAssociationQueryType()`

### getAuditableEventQueryResultType

    public org.eclipse.emf.ecore.EClass getAuditableEventQueryResultType()

  Specified by:
    `getAuditableEventQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Auditable Event Query Result Type'.
  See Also:
    `AuditableEventQueryResultType`

### getAuditableEventQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getAuditableEventQueryResultType_Group()

  Specified by:
    `getAuditableEventQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `AuditableEventQueryResultType.getGroup()`, `QueryPackage.getAuditableEventQueryResultType()`

### getAuditableEventQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryResultType_ObjectRef()

  Specified by:
    `getAuditableEventQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `AuditableEventQueryResultType.getObjectRef()`, `QueryPackage.getAuditableEventQueryResultType()`

### getAuditableEventQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryResultType_RegistryObject()

  Specified by:
    `getAuditableEventQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `AuditableEventQueryResultType.getRegistryObject()`, `QueryPackage.getAuditableEventQueryResultType()`

### getAuditableEventQueryResultType_AuditableEvent

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryResultType_AuditableEvent()

  Specified by:
    `getAuditableEventQueryResultType_AuditableEvent` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Auditable Event'.
  See Also:
    `AuditableEventQueryResultType.getAuditableEvent()`, `QueryPackage.getAuditableEventQueryResultType()`

### getAuditableEventQueryType

    public org.eclipse.emf.ecore.EClass getAuditableEventQueryType()

  Specified by:
    `getAuditableEventQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Auditable Event Query Type'.
  See Also:
    `AuditableEventQueryType`

### getAuditableEventQueryType_AuditableEventFilter

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryType_AuditableEventFilter()

  Specified by:
    `getAuditableEventQueryType_AuditableEventFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Filter'.
  See Also:
    `AuditableEventQueryType.getAuditableEventFilter()`, `QueryPackage.getAuditableEventQueryType()`

### getAuditableEventQueryType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryType_RegistryObjectQuery()

  Specified by:
    `getAuditableEventQueryType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `AuditableEventQueryType.getRegistryObjectQuery()`, `QueryPackage.getAuditableEventQueryType()`

### getAuditableEventQueryType_RegistryEntryQuery

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryType_RegistryEntryQuery()

  Specified by:
    `getAuditableEventQueryType_RegistryEntryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `AuditableEventQueryType.getRegistryEntryQuery()`, `QueryPackage.getAuditableEventQueryType()`

### getAuditableEventQueryType_UserBranch

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryType_UserBranch()

  Specified by:
    `getAuditableEventQueryType_UserBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `AuditableEventQueryType.getUserBranch()`, `QueryPackage.getAuditableEventQueryType()`

### getBooleanClauseType

    public org.eclipse.emf.ecore.EClass getBooleanClauseType()

  Specified by:
    `getBooleanClauseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Boolean Clause Type'.
  See Also:
    `BooleanClauseType`

### getBooleanClauseType_BooleanPredicate

    public org.eclipse.emf.ecore.EAttribute getBooleanClauseType_BooleanPredicate()

  Specified by:
    `getBooleanClauseType_BooleanPredicate` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Boolean Predicate'.
  See Also:
    `BooleanClauseType.isBooleanPredicate()`, `QueryPackage.getBooleanClauseType()`

### getClassificationNodeQueryResultType

    public org.eclipse.emf.ecore.EClass getClassificationNodeQueryResultType()

  Specified by:
    `getClassificationNodeQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Node Query Result Type'.
  See Also:
    `ClassificationNodeQueryResultType`

### getClassificationNodeQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getClassificationNodeQueryResultType_Group()

  Specified by:
    `getClassificationNodeQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ClassificationNodeQueryResultType.getGroup()`, `QueryPackage.getClassificationNodeQueryResultType()`

### getClassificationNodeQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryResultType_ObjectRef()

  Specified by:
    `getClassificationNodeQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ClassificationNodeQueryResultType.getObjectRef()`, `QueryPackage.getClassificationNodeQueryResultType()`

### getClassificationNodeQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryResultType_RegistryObject()

  Specified by:
    `getClassificationNodeQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ClassificationNodeQueryResultType.getRegistryObject()`, `QueryPackage.getClassificationNodeQueryResultType()`

### getClassificationNodeQueryResultType_ClassificationNode

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryResultType_ClassificationNode()

  Specified by:
    `getClassificationNodeQueryResultType_ClassificationNode` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Classification Node'.
  See Also:
    `ClassificationNodeQueryResultType.getClassificationNode()`, `QueryPackage.getClassificationNodeQueryResultType()`

### getClassificationNodeQueryType

    public org.eclipse.emf.ecore.EClass getClassificationNodeQueryType()

  Specified by:
    `getClassificationNodeQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Node Query Type'.
  See Also:
    `ClassificationNodeQueryType`

### getClassificationNodeQueryType_ClassificationNodeFilter

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationNodeFilter()

  Specified by:
    `getClassificationNodeQueryType_ClassificationNodeFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Filter'.
  See Also:
    `ClassificationNodeQueryType.getClassificationNodeFilter()`, `QueryPackage.getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationSchemeQuery()

  Specified by:
    `getClassificationNodeQueryType_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassificationNodeQueryType.getClassificationSchemeQuery()`, `QueryPackage.getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ClassificationNodeParentBranch

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationNodeParentBranch()

  Specified by:
    `getClassificationNodeQueryType_ClassificationNodeParentBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Parent Branch'.
  See Also:
    `ClassificationNodeQueryType.getClassificationNodeParentBranch()`, `QueryPackage.getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ClassificationNodeChildrenBranch

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ClassificationNodeChildrenBranch()

  Specified by:
    `getClassificationNodeQueryType_ClassificationNodeChildrenBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Classification Node Children Branch'.
  See Also:
    `ClassificationNodeQueryType.getClassificationNodeChildrenBranch()`, `QueryPackage.getClassificationNodeQueryType()`

### getClassificationQueryResultType

    public org.eclipse.emf.ecore.EClass getClassificationQueryResultType()

  Specified by:
    `getClassificationQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Query Result Type'.
  See Also:
    `ClassificationQueryResultType`

### getClassificationQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getClassificationQueryResultType_Group()

  Specified by:
    `getClassificationQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ClassificationQueryResultType.getGroup()`, `QueryPackage.getClassificationQueryResultType()`

### getClassificationQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getClassificationQueryResultType_ObjectRef()

  Specified by:
    `getClassificationQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ClassificationQueryResultType.getObjectRef()`, `QueryPackage.getClassificationQueryResultType()`

### getClassificationQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getClassificationQueryResultType_RegistryObject()

  Specified by:
    `getClassificationQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ClassificationQueryResultType.getRegistryObject()`, `QueryPackage.getClassificationQueryResultType()`

### getClassificationQueryResultType_Classification

    public org.eclipse.emf.ecore.EReference getClassificationQueryResultType_Classification()

  Specified by:
    `getClassificationQueryResultType_Classification` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Classification'.
  See Also:
    `ClassificationQueryResultType.getClassification()`, `QueryPackage.getClassificationQueryResultType()`

### getClassificationQueryType

    public org.eclipse.emf.ecore.EClass getClassificationQueryType()

  Specified by:
    `getClassificationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Query Type'.
  See Also:
    `ClassificationQueryType`

### getClassificationQueryType_ClassificationFilter

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationFilter()

  Specified by:
    `getClassificationQueryType_ClassificationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Filter'.
  See Also:
    `ClassificationQueryType.getClassificationFilter()`, `QueryPackage.getClassificationQueryType()`

### getClassificationQueryType_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationSchemeQuery()

  Specified by:
    `getClassificationQueryType_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassificationQueryType.getClassificationSchemeQuery()`, `QueryPackage.getClassificationQueryType()`

### getClassificationQueryType_ClassificationNodeQuery

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationNodeQuery()

  Specified by:
    `getClassificationQueryType_ClassificationNodeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `ClassificationQueryType.getClassificationNodeQuery()`, `QueryPackage.getClassificationQueryType()`

### getClassificationQueryType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_RegistryObjectQuery()

  Specified by:
    `getClassificationQueryType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `ClassificationQueryType.getRegistryObjectQuery()`, `QueryPackage.getClassificationQueryType()`

### getClassificationQueryType_RegistryEntryQuery

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_RegistryEntryQuery()

  Specified by:
    `getClassificationQueryType_RegistryEntryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `ClassificationQueryType.getRegistryEntryQuery()`, `QueryPackage.getClassificationQueryType()`

### getClassificationSchemeQueryResultType

    public org.eclipse.emf.ecore.EClass getClassificationSchemeQueryResultType()

  Specified by:
    `getClassificationSchemeQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Scheme Query Result Type'.
  See Also:
    `ClassificationSchemeQueryResultType`

### getClassificationSchemeQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getClassificationSchemeQueryResultType_Group()

  Specified by:
    `getClassificationSchemeQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ClassificationSchemeQueryResultType.getGroup()`, `QueryPackage.getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_ObjectRef()

  Specified by:
    `getClassificationSchemeQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ClassificationSchemeQueryResultType.getObjectRef()`, `QueryPackage.getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_RegistryObject()

  Specified by:
    `getClassificationSchemeQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ClassificationSchemeQueryResultType.getRegistryObject()`, `QueryPackage.getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_RegistryEntry

    public org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_RegistryEntry()

  Specified by:
    `getClassificationSchemeQueryResultType_RegistryEntry` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `ClassificationSchemeQueryResultType.getRegistryEntry()`, `QueryPackage.getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryResultType_ClassificationScheme

    public org.eclipse.emf.ecore.EReference getClassificationSchemeQueryResultType_ClassificationScheme()

  Specified by:
    `getClassificationSchemeQueryResultType_ClassificationScheme` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Classification Scheme'.
  See Also:
    `ClassificationSchemeQueryResultType.getClassificationScheme()`, `QueryPackage.getClassificationSchemeQueryResultType()`

### getClassificationSchemeQueryType

    public org.eclipse.emf.ecore.EClass getClassificationSchemeQueryType()

  Specified by:
    `getClassificationSchemeQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Scheme Query Type'.
  See Also:
    `ClassificationSchemeQueryType`

### getClassificationSchemeQueryType_ClassificationSchemeFilter

    public org.eclipse.emf.ecore.EReference getClassificationSchemeQueryType_ClassificationSchemeFilter()

  Specified by:
    `getClassificationSchemeQueryType_ClassificationSchemeFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Filter'.
  See Also:
    `ClassificationSchemeQueryType.getClassificationSchemeFilter()`, `QueryPackage.getClassificationSchemeQueryType()`

### getClassifiedByBranchType

    public org.eclipse.emf.ecore.EClass getClassifiedByBranchType()

  Specified by:
    `getClassifiedByBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classified By Branch Type'.
  See Also:
    `ClassifiedByBranchType`

### getClassifiedByBranchType_ClassificationFilter

    public org.eclipse.emf.ecore.EReference getClassifiedByBranchType_ClassificationFilter()

  Specified by:
    `getClassifiedByBranchType_ClassificationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Filter'.
  See Also:
    `ClassifiedByBranchType.getClassificationFilter()`, `QueryPackage.getClassifiedByBranchType()`

### getClassifiedByBranchType_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getClassifiedByBranchType_ClassificationSchemeQuery()

  Specified by:
    `getClassifiedByBranchType_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassifiedByBranchType.getClassificationSchemeQuery()`, `QueryPackage.getClassifiedByBranchType()`

### getClassifiedByBranchType_ClassificationNodeQuery

    public org.eclipse.emf.ecore.EReference getClassifiedByBranchType_ClassificationNodeQuery()

  Specified by:
    `getClassifiedByBranchType_ClassificationNodeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `ClassifiedByBranchType.getClassificationNodeQuery()`, `QueryPackage.getClassifiedByBranchType()`

### getClauseType

    public org.eclipse.emf.ecore.EClass getClauseType()

  Specified by:
    `getClauseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Clause Type'.
  See Also:
    `ClauseType`

### getClauseType_SimpleClause

    public org.eclipse.emf.ecore.EReference getClauseType_SimpleClause()

  Specified by:
    `getClauseType_SimpleClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Simple Clause'.
  See Also:
    `ClauseType.getSimpleClause()`, `QueryPackage.getClauseType()`

### getClauseType_CompoundClause

    public org.eclipse.emf.ecore.EReference getClauseType_CompoundClause()

  Specified by:
    `getClauseType_CompoundClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Compound Clause'.
  See Also:
    `ClauseType.getCompoundClause()`, `QueryPackage.getClauseType()`

### getCompoundClauseType

    public org.eclipse.emf.ecore.EClass getCompoundClauseType()

  Specified by:
    `getCompoundClauseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Compound Clause Type'.
  See Also:
    `CompoundClauseType`

### getCompoundClauseType_Clause

    public org.eclipse.emf.ecore.EReference getCompoundClauseType_Clause()

  Specified by:
    `getCompoundClauseType_Clause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Clause'.
  See Also:
    `CompoundClauseType.getClause()`, `QueryPackage.getCompoundClauseType()`

### getCompoundClauseType_ConnectivePredicate

    public org.eclipse.emf.ecore.EAttribute getCompoundClauseType_ConnectivePredicate()

  Specified by:
    `getCompoundClauseType_ConnectivePredicate` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Connective Predicate'.
  See Also:
    `CompoundClauseType.getConnectivePredicate()`, `QueryPackage.getCompoundClauseType()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `QueryPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `QueryPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `QueryPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AdhocQueryRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryRequest()

  Specified by:
    `getDocumentRoot_AdhocQueryRequest` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query Request'.
  See Also:
    `DocumentRoot.getAdhocQueryRequest()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AdhocQueryResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryResponse()

  Specified by:
    `getDocumentRoot_AdhocQueryResponse` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query Response'.
  See Also:
    `DocumentRoot.getAdhocQueryResponse()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AssociationFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationFilter()

  Specified by:
    `getDocumentRoot_AssociationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Filter'.
  See Also:
    `DocumentRoot.getAssociationFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AssociationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationQuery()

  Specified by:
    `getDocumentRoot_AssociationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `DocumentRoot.getAssociationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AssociationQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationQueryResult()

  Specified by:
    `getDocumentRoot_AssociationQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Query Result'.
  See Also:
    `DocumentRoot.getAssociationQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AuditableEventFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventFilter()

  Specified by:
    `getDocumentRoot_AuditableEventFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Filter'.
  See Also:
    `DocumentRoot.getAuditableEventFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AuditableEventQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventQuery()

  Specified by:
    `getDocumentRoot_AuditableEventQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `DocumentRoot.getAuditableEventQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AuditableEventQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventQueryResult()

  Specified by:
    `getDocumentRoot_AuditableEventQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Query Result'.
  See Also:
    `DocumentRoot.getAuditableEventQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_BooleanClause

    public org.eclipse.emf.ecore.EReference getDocumentRoot_BooleanClause()

  Specified by:
    `getDocumentRoot_BooleanClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Boolean Clause'.
  See Also:
    `DocumentRoot.getBooleanClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationFilter()

  Specified by:
    `getDocumentRoot_ClassificationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Filter'.
  See Also:
    `DocumentRoot.getClassificationFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationNodeChildrenBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeChildrenBranch()

  Specified by:
    `getDocumentRoot_ClassificationNodeChildrenBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Children Branch'.
  See Also:
    `DocumentRoot.getClassificationNodeChildrenBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationNodeFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeFilter()

  Specified by:
    `getDocumentRoot_ClassificationNodeFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Filter'.
  See Also:
    `DocumentRoot.getClassificationNodeFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationNodeParentBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeParentBranch()

  Specified by:
    `getDocumentRoot_ClassificationNodeParentBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Parent Branch'.
  See Also:
    `DocumentRoot.getClassificationNodeParentBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationNodeQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeQuery()

  Specified by:
    `getDocumentRoot_ClassificationNodeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `DocumentRoot.getClassificationNodeQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationNodeQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeQueryResult()

  Specified by:
    `getDocumentRoot_ClassificationNodeQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query Result'.
  See Also:
    `DocumentRoot.getClassificationNodeQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationQuery()

  Specified by:
    `getDocumentRoot_ClassificationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `DocumentRoot.getClassificationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationQueryResult()

  Specified by:
    `getDocumentRoot_ClassificationQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Query Result'.
  See Also:
    `DocumentRoot.getClassificationQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeFilter()

  Specified by:
    `getDocumentRoot_ClassificationSchemeFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Filter'.
  See Also:
    `DocumentRoot.getClassificationSchemeFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeQuery()

  Specified by:
    `getDocumentRoot_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `DocumentRoot.getClassificationSchemeQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeQueryResult()

  Specified by:
    `getDocumentRoot_ClassificationSchemeQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query Result'.
  See Also:
    `DocumentRoot.getClassificationSchemeQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassifiedByBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassifiedByBranch()

  Specified by:
    `getDocumentRoot_ClassifiedByBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classified By Branch'.
  See Also:
    `DocumentRoot.getClassifiedByBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_Clause

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Clause()

  Specified by:
    `getDocumentRoot_Clause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Clause'.
  See Also:
    `DocumentRoot.getClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_CompoundClause

    public org.eclipse.emf.ecore.EReference getDocumentRoot_CompoundClause()

  Specified by:
    `getDocumentRoot_CompoundClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Compound Clause'.
  See Also:
    `DocumentRoot.getCompoundClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_DateTimeClause

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_DateTimeClause()

  Specified by:
    `getDocumentRoot_DateTimeClause` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Date Time Clause'.
  See Also:
    `DocumentRoot.getDateTimeClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_DescriptionBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_DescriptionBranch()

  Specified by:
    `getDocumentRoot_DescriptionBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Description Branch'.
  See Also:
    `DocumentRoot.getDescriptionBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_EmailAddressFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_EmailAddressFilter()

  Specified by:
    `getDocumentRoot_EmailAddressFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Email Address Filter'.
  See Also:
    `DocumentRoot.getEmailAddressFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExternalIdentifierFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalIdentifierFilter()

  Specified by:
    `getDocumentRoot_ExternalIdentifierFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'External Identifier Filter'.
  See Also:
    `DocumentRoot.getExternalIdentifierFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExternalLinkFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalLinkFilter()

  Specified by:
    `getDocumentRoot_ExternalLinkFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'External Link Filter'.
  See Also:
    `DocumentRoot.getExternalLinkFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectFilter()

  Specified by:
    `getDocumentRoot_ExtrinsicObjectFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Filter'.
  See Also:
    `DocumentRoot.getExtrinsicObjectFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectQuery()

  Specified by:
    `getDocumentRoot_ExtrinsicObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `DocumentRoot.getExtrinsicObjectQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectQueryResult()

  Specified by:
    `getDocumentRoot_ExtrinsicObjectQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Query Result'.
  See Also:
    `DocumentRoot.getExtrinsicObjectQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_FilterQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_FilterQuery()

  Specified by:
    `getDocumentRoot_FilterQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Filter Query'.
  See Also:
    `DocumentRoot.getFilterQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_FilterQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_FilterQueryResult()

  Specified by:
    `getDocumentRoot_FilterQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Filter Query Result'.
  See Also:
    `DocumentRoot.getFilterQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_FloatClause

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_FloatClause()

  Specified by:
    `getDocumentRoot_FloatClause` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Float Clause'.
  See Also:
    `DocumentRoot.getFloatClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_GetContentRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_GetContentRequest()

  Specified by:
    `getDocumentRoot_GetContentRequest` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Get Content Request'.
  See Also:
    `DocumentRoot.getGetContentRequest()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_GetContentResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_GetContentResponse()

  Specified by:
    `getDocumentRoot_GetContentResponse` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Get Content Response'.
  See Also:
    `DocumentRoot.getGetContentResponse()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_IntClause

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_IntClause()

  Specified by:
    `getDocumentRoot_IntClause` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Int Clause'.
  See Also:
    `DocumentRoot.getIntClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_LocalizedStringFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_LocalizedStringFilter()

  Specified by:
    `getDocumentRoot_LocalizedStringFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Localized String Filter'.
  See Also:
    `DocumentRoot.getLocalizedStringFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_NameBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_NameBranch()

  Specified by:
    `getDocumentRoot_NameBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Name Branch'.
  See Also:
    `DocumentRoot.getNameBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_OrganizationChildrenBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationChildrenBranch()

  Specified by:
    `getDocumentRoot_OrganizationChildrenBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Children Branch'.
  See Also:
    `DocumentRoot.getOrganizationChildrenBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_OrganizationFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationFilter()

  Specified by:
    `getDocumentRoot_OrganizationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Filter'.
  See Also:
    `DocumentRoot.getOrganizationFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_OrganizationParentBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationParentBranch()

  Specified by:
    `getDocumentRoot_OrganizationParentBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Parent Branch'.
  See Also:
    `DocumentRoot.getOrganizationParentBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_OrganizationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationQuery()

  Specified by:
    `getDocumentRoot_OrganizationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `DocumentRoot.getOrganizationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_OrganizationQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationQueryResult()

  Specified by:
    `getDocumentRoot_OrganizationQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Query Result'.
  See Also:
    `DocumentRoot.getOrganizationQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_PostalAddressFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_PostalAddressFilter()

  Specified by:
    `getDocumentRoot_PostalAddressFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Postal Address Filter'.
  See Also:
    `DocumentRoot.getPostalAddressFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RationalClause

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RationalClause()

  Specified by:
    `getDocumentRoot_RationalClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Rational Clause'.
  See Also:
    `DocumentRoot.getRationalClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryEntryFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryEntryFilter()

  Specified by:
    `getDocumentRoot_RegistryEntryFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Filter'.
  See Also:
    `DocumentRoot.getRegistryEntryFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryEntryQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryEntryQuery()

  Specified by:
    `getDocumentRoot_RegistryEntryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `DocumentRoot.getRegistryEntryQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryEntryQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryEntryQueryResult()

  Specified by:
    `getDocumentRoot_RegistryEntryQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query Result'.
  See Also:
    `DocumentRoot.getRegistryEntryQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryObjectFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectFilter()

  Specified by:
    `getDocumentRoot_RegistryObjectFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Filter'.
  See Also:
    `DocumentRoot.getRegistryObjectFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectQuery()

  Specified by:
    `getDocumentRoot_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `DocumentRoot.getRegistryObjectQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryObjectQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectQueryResult()

  Specified by:
    `getDocumentRoot_RegistryObjectQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query Result'.
  See Also:
    `DocumentRoot.getRegistryObjectQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryPackageFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageFilter()

  Specified by:
    `getDocumentRoot_RegistryPackageFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Filter'.
  See Also:
    `DocumentRoot.getRegistryPackageFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryPackageQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageQuery()

  Specified by:
    `getDocumentRoot_RegistryPackageQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `DocumentRoot.getRegistryPackageQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryPackageQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageQueryResult()

  Specified by:
    `getDocumentRoot_RegistryPackageQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Query Result'.
  See Also:
    `DocumentRoot.getRegistryPackageQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ResponseOption

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ResponseOption()

  Specified by:
    `getDocumentRoot_ResponseOption` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `DocumentRoot.getResponseOption()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceBindingBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingBranch()

  Specified by:
    `getDocumentRoot_ServiceBindingBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Branch'.
  See Also:
    `DocumentRoot.getServiceBindingBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceBindingFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingFilter()

  Specified by:
    `getDocumentRoot_ServiceBindingFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Filter'.
  See Also:
    `DocumentRoot.getServiceBindingFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceBindingTargetBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingTargetBranch()

  Specified by:
    `getDocumentRoot_ServiceBindingTargetBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Target Branch'.
  See Also:
    `DocumentRoot.getServiceBindingTargetBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceFilter()

  Specified by:
    `getDocumentRoot_ServiceFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Filter'.
  See Also:
    `DocumentRoot.getServiceFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceQuery()

  Specified by:
    `getDocumentRoot_ServiceQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `DocumentRoot.getServiceQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceQueryResult()

  Specified by:
    `getDocumentRoot_ServiceQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Query Result'.
  See Also:
    `DocumentRoot.getServiceQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SimpleClause

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SimpleClause()

  Specified by:
    `getDocumentRoot_SimpleClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Simple Clause'.
  See Also:
    `DocumentRoot.getSimpleClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SlotBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SlotBranch()

  Specified by:
    `getDocumentRoot_SlotBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Slot Branch'.
  See Also:
    `DocumentRoot.getSlotBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SlotFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SlotFilter()

  Specified by:
    `getDocumentRoot_SlotFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Slot Filter'.
  See Also:
    `DocumentRoot.getSlotFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SlotValueFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SlotValueFilter()

  Specified by:
    `getDocumentRoot_SlotValueFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Slot Value Filter'.
  See Also:
    `DocumentRoot.getSlotValueFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SourceAssociationBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SourceAssociationBranch()

  Specified by:
    `getDocumentRoot_SourceAssociationBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Source Association Branch'.
  See Also:
    `DocumentRoot.getSourceAssociationBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SpecificationLinkBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLinkBranch()

  Specified by:
    `getDocumentRoot_SpecificationLinkBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Specification Link Branch'.
  See Also:
    `DocumentRoot.getSpecificationLinkBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SpecificationLinkFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLinkFilter()

  Specified by:
    `getDocumentRoot_SpecificationLinkFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Specification Link Filter'.
  See Also:
    `DocumentRoot.getSpecificationLinkFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SqlQuery

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_SqlQuery()

  Specified by:
    `getDocumentRoot_SqlQuery` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Sql Query'.
  See Also:
    `DocumentRoot.getSqlQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SqlQueryResult

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SqlQueryResult()

  Specified by:
    `getDocumentRoot_SqlQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Sql Query Result'.
  See Also:
    `DocumentRoot.getSqlQueryResult()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_StringClause

    public org.eclipse.emf.ecore.EReference getDocumentRoot_StringClause()

  Specified by:
    `getDocumentRoot_StringClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'String Clause'.
  See Also:
    `DocumentRoot.getStringClause()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_TargetAssociationBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_TargetAssociationBranch()

  Specified by:
    `getDocumentRoot_TargetAssociationBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Target Association Branch'.
  See Also:
    `DocumentRoot.getTargetAssociationBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_TelephoneNumberFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_TelephoneNumberFilter()

  Specified by:
    `getDocumentRoot_TelephoneNumberFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Telephone Number Filter'.
  See Also:
    `DocumentRoot.getTelephoneNumberFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_UserBranch

    public org.eclipse.emf.ecore.EReference getDocumentRoot_UserBranch()

  Specified by:
    `getDocumentRoot_UserBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `DocumentRoot.getUserBranch()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_UserFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_UserFilter()

  Specified by:
    `getDocumentRoot_UserFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Filter'.
  See Also:
    `DocumentRoot.getUserFilter()`, `QueryPackage.getDocumentRoot()`

### getExtrinsicObjectQueryResultType

    public org.eclipse.emf.ecore.EClass getExtrinsicObjectQueryResultType()

  Specified by:
    `getExtrinsicObjectQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Extrinsic Object Query Result Type'.
  See Also:
    `ExtrinsicObjectQueryResultType`

### getExtrinsicObjectQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getExtrinsicObjectQueryResultType_Group()

  Specified by:
    `getExtrinsicObjectQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ExtrinsicObjectQueryResultType.getGroup()`, `QueryPackage.getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_ObjectRef()

  Specified by:
    `getExtrinsicObjectQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ExtrinsicObjectQueryResultType.getObjectRef()`, `QueryPackage.getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_RegistryObject()

  Specified by:
    `getExtrinsicObjectQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ExtrinsicObjectQueryResultType.getRegistryObject()`, `QueryPackage.getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_RegistryEntry

    public org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_RegistryEntry()

  Specified by:
    `getExtrinsicObjectQueryResultType_RegistryEntry` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `ExtrinsicObjectQueryResultType.getRegistryEntry()`, `QueryPackage.getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryResultType_ExtrinsicObject

    public org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryResultType_ExtrinsicObject()

  Specified by:
    `getExtrinsicObjectQueryResultType_ExtrinsicObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Extrinsic Object'.
  See Also:
    `ExtrinsicObjectQueryResultType.getExtrinsicObject()`, `QueryPackage.getExtrinsicObjectQueryResultType()`

### getExtrinsicObjectQueryType

    public org.eclipse.emf.ecore.EClass getExtrinsicObjectQueryType()

  Specified by:
    `getExtrinsicObjectQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Extrinsic Object Query Type'.
  See Also:
    `ExtrinsicObjectQueryType`

### getExtrinsicObjectQueryType_ExtrinsicObjectFilter

    public org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryType_ExtrinsicObjectFilter()

  Specified by:
    `getExtrinsicObjectQueryType_ExtrinsicObjectFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Filter'.
  See Also:
    `ExtrinsicObjectQueryType.getExtrinsicObjectFilter()`, `QueryPackage.getExtrinsicObjectQueryType()`

### getFilterQueryResultType

    public org.eclipse.emf.ecore.EClass getFilterQueryResultType()

  Specified by:
    `getFilterQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Filter Query Result Type'.
  See Also:
    `FilterQueryResultType`

### getFilterQueryResultType_RegistryObjectQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_RegistryObjectQueryResult()

  Specified by:
    `getFilterQueryResultType_RegistryObjectQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query Result'.
  See Also:
    `FilterQueryResultType.getRegistryObjectQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_RegistryEntryQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_RegistryEntryQueryResult()

  Specified by:
    `getFilterQueryResultType_RegistryEntryQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query Result'.
  See Also:
    `FilterQueryResultType.getRegistryEntryQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_AssociationQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_AssociationQueryResult()

  Specified by:
    `getFilterQueryResultType_AssociationQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Query Result'.
  See Also:
    `FilterQueryResultType.getAssociationQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_AuditableEventQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_AuditableEventQueryResult()

  Specified by:
    `getFilterQueryResultType_AuditableEventQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Query Result'.
  See Also:
    `FilterQueryResultType.getAuditableEventQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_ClassificationQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_ClassificationQueryResult()

  Specified by:
    `getFilterQueryResultType_ClassificationQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Query Result'.
  See Also:
    `FilterQueryResultType.getClassificationQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_ClassificationNodeQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_ClassificationNodeQueryResult()

  Specified by:
    `getFilterQueryResultType_ClassificationNodeQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query Result'.
  See Also:
    `FilterQueryResultType.getClassificationNodeQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_ClassificationSchemeQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_ClassificationSchemeQueryResult()

  Specified by:
    `getFilterQueryResultType_ClassificationSchemeQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query Result'.
  See Also:
    `FilterQueryResultType.getClassificationSchemeQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_RegistryPackageQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_RegistryPackageQueryResult()

  Specified by:
    `getFilterQueryResultType_RegistryPackageQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Query Result'.
  See Also:
    `FilterQueryResultType.getRegistryPackageQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_ExtrinsicObjectQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_ExtrinsicObjectQueryResult()

  Specified by:
    `getFilterQueryResultType_ExtrinsicObjectQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Query Result'.
  See Also:
    `FilterQueryResultType.getExtrinsicObjectQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_OrganizationQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_OrganizationQueryResult()

  Specified by:
    `getFilterQueryResultType_OrganizationQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Query Result'.
  See Also:
    `FilterQueryResultType.getOrganizationQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryResultType_ServiceQueryResult

    public org.eclipse.emf.ecore.EReference getFilterQueryResultType_ServiceQueryResult()

  Specified by:
    `getFilterQueryResultType_ServiceQueryResult` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Query Result'.
  See Also:
    `FilterQueryResultType.getServiceQueryResult()`, `QueryPackage.getFilterQueryResultType()`

### getFilterQueryType

    public org.eclipse.emf.ecore.EClass getFilterQueryType()

  Specified by:
    `getFilterQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Filter Query Type'.
  See Also:
    `FilterQueryType`

### getFilterQueryType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_RegistryObjectQuery()

  Specified by:
    `getFilterQueryType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `FilterQueryType.getRegistryObjectQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_RegistryEntryQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_RegistryEntryQuery()

  Specified by:
    `getFilterQueryType_RegistryEntryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `FilterQueryType.getRegistryEntryQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_AssociationQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_AssociationQuery()

  Specified by:
    `getFilterQueryType_AssociationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `FilterQueryType.getAssociationQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_AuditableEventQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_AuditableEventQuery()

  Specified by:
    `getFilterQueryType_AuditableEventQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `FilterQueryType.getAuditableEventQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_ClassificationQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_ClassificationQuery()

  Specified by:
    `getFilterQueryType_ClassificationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `FilterQueryType.getClassificationQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_ClassificationNodeQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_ClassificationNodeQuery()

  Specified by:
    `getFilterQueryType_ClassificationNodeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `FilterQueryType.getClassificationNodeQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_ClassificationSchemeQuery()

  Specified by:
    `getFilterQueryType_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `FilterQueryType.getClassificationSchemeQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_RegistryPackageQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_RegistryPackageQuery()

  Specified by:
    `getFilterQueryType_RegistryPackageQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `FilterQueryType.getRegistryPackageQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_ExtrinsicObjectQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_ExtrinsicObjectQuery()

  Specified by:
    `getFilterQueryType_ExtrinsicObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `FilterQueryType.getExtrinsicObjectQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_OrganizationQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_OrganizationQuery()

  Specified by:
    `getFilterQueryType_OrganizationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `FilterQueryType.getOrganizationQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterQueryType_ServiceQuery

    public org.eclipse.emf.ecore.EReference getFilterQueryType_ServiceQuery()

  Specified by:
    `getFilterQueryType_ServiceQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `FilterQueryType.getServiceQuery()`, `QueryPackage.getFilterQueryType()`

### getFilterType

    public org.eclipse.emf.ecore.EClass getFilterType()

  Specified by:
    `getFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Filter Type'.
  See Also:
    `FilterType`

### getFilterType_Clause

    public org.eclipse.emf.ecore.EReference getFilterType_Clause()

  Specified by:
    `getFilterType_Clause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Clause'.
  See Also:
    `FilterType.getClause()`, `QueryPackage.getFilterType()`

### getGetContentRequestType

    public org.eclipse.emf.ecore.EClass getGetContentRequestType()

  Specified by:
    `getGetContentRequestType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Get Content Request Type'.
  See Also:
    `GetContentRequestType`

### getGetContentRequestType_ObjectRefList

    public org.eclipse.emf.ecore.EReference getGetContentRequestType_ObjectRefList()

  Specified by:
    `getGetContentRequestType_ObjectRefList` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `GetContentRequestType.getObjectRefList()`, `QueryPackage.getGetContentRequestType()`

### getGetContentResponseType

    public org.eclipse.emf.ecore.EClass getGetContentResponseType()

  Specified by:
    `getGetContentResponseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Get Content Response Type'.
  See Also:
    `GetContentResponseType`

### getInternationalStringBranchType

    public org.eclipse.emf.ecore.EClass getInternationalStringBranchType()

  Specified by:
    `getInternationalStringBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'International String Branch Type'.
  See Also:
    `InternationalStringBranchType`

### getInternationalStringBranchType_LocalizedStringFilter

    public org.eclipse.emf.ecore.EReference getInternationalStringBranchType_LocalizedStringFilter()

  Specified by:
    `getInternationalStringBranchType_LocalizedStringFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Localized String Filter'.
  See Also:
    `InternationalStringBranchType.getLocalizedStringFilter()`, `QueryPackage.getInternationalStringBranchType()`

### getOrganizationQueryResultType

    public org.eclipse.emf.ecore.EClass getOrganizationQueryResultType()

  Specified by:
    `getOrganizationQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Organization Query Result Type'.
  See Also:
    `OrganizationQueryResultType`

### getOrganizationQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getOrganizationQueryResultType_Group()

  Specified by:
    `getOrganizationQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `OrganizationQueryResultType.getGroup()`, `QueryPackage.getOrganizationQueryResultType()`

### getOrganizationQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getOrganizationQueryResultType_ObjectRef()

  Specified by:
    `getOrganizationQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `OrganizationQueryResultType.getObjectRef()`, `QueryPackage.getOrganizationQueryResultType()`

### getOrganizationQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getOrganizationQueryResultType_RegistryObject()

  Specified by:
    `getOrganizationQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `OrganizationQueryResultType.getRegistryObject()`, `QueryPackage.getOrganizationQueryResultType()`

### getOrganizationQueryResultType_Organization

    public org.eclipse.emf.ecore.EReference getOrganizationQueryResultType_Organization()

  Specified by:
    `getOrganizationQueryResultType_Organization` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Organization'.
  See Also:
    `OrganizationQueryResultType.getOrganization()`, `QueryPackage.getOrganizationQueryResultType()`

### getOrganizationQueryType

    public org.eclipse.emf.ecore.EClass getOrganizationQueryType()

  Specified by:
    `getOrganizationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Organization Query Type'.
  See Also:
    `OrganizationQueryType`

### getOrganizationQueryType_OrganizationFilter

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_OrganizationFilter()

  Specified by:
    `getOrganizationQueryType_OrganizationFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Filter'.
  See Also:
    `OrganizationQueryType.getOrganizationFilter()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_PostalAddressFilter

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_PostalAddressFilter()

  Specified by:
    `getOrganizationQueryType_PostalAddressFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Postal Address Filter'.
  See Also:
    `OrganizationQueryType.getPostalAddressFilter()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_TelephoneNumberFilter

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_TelephoneNumberFilter()

  Specified by:
    `getOrganizationQueryType_TelephoneNumberFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `OrganizationQueryType.getTelephoneNumberFilter()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_UserBranch

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_UserBranch()

  Specified by:
    `getOrganizationQueryType_UserBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Branch'.
  See Also:
    `OrganizationQueryType.getUserBranch()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_OrganizationParentBranch

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_OrganizationParentBranch()

  Specified by:
    `getOrganizationQueryType_OrganizationParentBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Parent Branch'.
  See Also:
    `OrganizationQueryType.getOrganizationParentBranch()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_OrganizationChildrenBranch

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_OrganizationChildrenBranch()

  Specified by:
    `getOrganizationQueryType_OrganizationChildrenBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Organization Children Branch'.
  See Also:
    `OrganizationQueryType.getOrganizationChildrenBranch()`, `QueryPackage.getOrganizationQueryType()`

### getRationalClauseType

    public org.eclipse.emf.ecore.EClass getRationalClauseType()

  Specified by:
    `getRationalClauseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Rational Clause Type'.
  See Also:
    `RationalClauseType`

### getRationalClauseType_IntClause

    public org.eclipse.emf.ecore.EAttribute getRationalClauseType_IntClause()

  Specified by:
    `getRationalClauseType_IntClause` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Int Clause'.
  See Also:
    `RationalClauseType.getIntClause()`, `QueryPackage.getRationalClauseType()`

### getRationalClauseType_FloatClause

    public org.eclipse.emf.ecore.EAttribute getRationalClauseType_FloatClause()

  Specified by:
    `getRationalClauseType_FloatClause` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Float Clause'.
  See Also:
    `RationalClauseType.getFloatClause()`, `QueryPackage.getRationalClauseType()`

### getRationalClauseType_DateTimeClause

    public org.eclipse.emf.ecore.EAttribute getRationalClauseType_DateTimeClause()

  Specified by:
    `getRationalClauseType_DateTimeClause` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Date Time Clause'.
  See Also:
    `RationalClauseType.getDateTimeClause()`, `QueryPackage.getRationalClauseType()`

### getRationalClauseType_LogicalPredicate

    public org.eclipse.emf.ecore.EAttribute getRationalClauseType_LogicalPredicate()

  Specified by:
    `getRationalClauseType_LogicalPredicate` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Logical Predicate'.
  See Also:
    `RationalClauseType.getLogicalPredicate()`, `QueryPackage.getRationalClauseType()`

### getRegistryEntryQueryResultType

    public org.eclipse.emf.ecore.EClass getRegistryEntryQueryResultType()

  Specified by:
    `getRegistryEntryQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Entry Query Result Type'.
  See Also:
    `RegistryEntryQueryResultType`

### getRegistryEntryQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getRegistryEntryQueryResultType_Group()

  Specified by:
    `getRegistryEntryQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `RegistryEntryQueryResultType.getGroup()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_ObjectRef()

  Specified by:
    `getRegistryEntryQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `RegistryEntryQueryResultType.getObjectRef()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_ClassificationScheme

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_ClassificationScheme()

  Specified by:
    `getRegistryEntryQueryResultType_ClassificationScheme` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Classification Scheme'.
  See Also:
    `RegistryEntryQueryResultType.getClassificationScheme()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_ExtrinsicObject

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_ExtrinsicObject()

  Specified by:
    `getRegistryEntryQueryResultType_ExtrinsicObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Extrinsic Object'.
  See Also:
    `RegistryEntryQueryResultType.getExtrinsicObject()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_RegistryEntry

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_RegistryEntry()

  Specified by:
    `getRegistryEntryQueryResultType_RegistryEntry` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `RegistryEntryQueryResultType.getRegistryEntry()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_RegistryObject()

  Specified by:
    `getRegistryEntryQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `RegistryEntryQueryResultType.getRegistryObject()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_RegistryPackage

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_RegistryPackage()

  Specified by:
    `getRegistryEntryQueryResultType_RegistryPackage` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Package'.
  See Also:
    `RegistryEntryQueryResultType.getRegistryPackage()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryResultType_Service

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryResultType_Service()

  Specified by:
    `getRegistryEntryQueryResultType_Service` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Service'.
  See Also:
    `RegistryEntryQueryResultType.getService()`, `QueryPackage.getRegistryEntryQueryResultType()`

### getRegistryEntryQueryType

    public org.eclipse.emf.ecore.EClass getRegistryEntryQueryType()

  Specified by:
    `getRegistryEntryQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Entry Query Type'.
  See Also:
    `RegistryEntryQueryType`

### getRegistryEntryQueryType_RegistryEntryFilter

    public org.eclipse.emf.ecore.EReference getRegistryEntryQueryType_RegistryEntryFilter()

  Specified by:
    `getRegistryEntryQueryType_RegistryEntryFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Filter'.
  See Also:
    `RegistryEntryQueryType.getRegistryEntryFilter()`, `QueryPackage.getRegistryEntryQueryType()`

### getRegistryObjectQueryType

    public org.eclipse.emf.ecore.EClass getRegistryObjectQueryType()

  Specified by:
    `getRegistryObjectQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Object Query Type'.
  See Also:
    `RegistryObjectQueryType`

### getRegistryObjectQueryType_RegistryObjectFilter

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_RegistryObjectFilter()

  Specified by:
    `getRegistryObjectQueryType_RegistryObjectFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Filter'.
  See Also:
    `RegistryObjectQueryType.getRegistryObjectFilter()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ExternalIdentifierFilter

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ExternalIdentifierFilter()

  Specified by:
    `getRegistryObjectQueryType_ExternalIdentifierFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'External Identifier Filter'.
  See Also:
    `RegistryObjectQueryType.getExternalIdentifierFilter()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_AuditableEventQuery

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_AuditableEventQuery()

  Specified by:
    `getRegistryObjectQueryType_AuditableEventQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Auditable Event Query'.
  See Also:
    `RegistryObjectQueryType.getAuditableEventQuery()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_NameBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_NameBranch()

  Specified by:
    `getRegistryObjectQueryType_NameBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Name Branch'.
  See Also:
    `RegistryObjectQueryType.getNameBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_DescriptionBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_DescriptionBranch()

  Specified by:
    `getRegistryObjectQueryType_DescriptionBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Description Branch'.
  See Also:
    `RegistryObjectQueryType.getDescriptionBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ClassifiedByBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ClassifiedByBranch()

  Specified by:
    `getRegistryObjectQueryType_ClassifiedByBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Classified By Branch'.
  See Also:
    `RegistryObjectQueryType.getClassifiedByBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_SlotBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SlotBranch()

  Specified by:
    `getRegistryObjectQueryType_SlotBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Slot Branch'.
  See Also:
    `RegistryObjectQueryType.getSlotBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_SourceAssociationBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SourceAssociationBranch()

  Specified by:
    `getRegistryObjectQueryType_SourceAssociationBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Source Association Branch'.
  See Also:
    `RegistryObjectQueryType.getSourceAssociationBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_TargetAssociationBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_TargetAssociationBranch()

  Specified by:
    `getRegistryObjectQueryType_TargetAssociationBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Target Association Branch'.
  See Also:
    `RegistryObjectQueryType.getTargetAssociationBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryPackageQueryResultType

    public org.eclipse.emf.ecore.EClass getRegistryPackageQueryResultType()

  Specified by:
    `getRegistryPackageQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Package Query Result Type'.
  See Also:
    `RegistryPackageQueryResultType`

### getRegistryPackageQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getRegistryPackageQueryResultType_Group()

  Specified by:
    `getRegistryPackageQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `RegistryPackageQueryResultType.getGroup()`, `QueryPackage.getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_ObjectRef()

  Specified by:
    `getRegistryPackageQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `RegistryPackageQueryResultType.getObjectRef()`, `QueryPackage.getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_RegistryEntry

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_RegistryEntry()

  Specified by:
    `getRegistryPackageQueryResultType_RegistryEntry` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `RegistryPackageQueryResultType.getRegistryEntry()`, `QueryPackage.getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_RegistryObject()

  Specified by:
    `getRegistryPackageQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `RegistryPackageQueryResultType.getRegistryObject()`, `QueryPackage.getRegistryPackageQueryResultType()`

### getRegistryPackageQueryResultType_RegistryPackage

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryResultType_RegistryPackage()

  Specified by:
    `getRegistryPackageQueryResultType_RegistryPackage` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Package'.
  See Also:
    `RegistryPackageQueryResultType.getRegistryPackage()`, `QueryPackage.getRegistryPackageQueryResultType()`

### getRegistryPackageQueryType

    public org.eclipse.emf.ecore.EClass getRegistryPackageQueryType()

  Specified by:
    `getRegistryPackageQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Package Query Type'.
  See Also:
    `RegistryPackageQueryType`

### getRegistryPackageQueryType_RegistryPackageFilter

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryPackageFilter()

  Specified by:
    `getRegistryPackageQueryType_RegistryPackageFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Filter'.
  See Also:
    `RegistryPackageQueryType.getRegistryPackageFilter()`, `QueryPackage.getRegistryPackageQueryType()`

### getRegistryPackageQueryType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryObjectQuery()

  Specified by:
    `getRegistryPackageQueryType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object Query'.
  See Also:
    `RegistryPackageQueryType.getRegistryObjectQuery()`, `QueryPackage.getRegistryPackageQueryType()`

### getRegistryPackageQueryType_RegistryEntryQuery

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryEntryQuery()

  Specified by:
    `getRegistryPackageQueryType_RegistryEntryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Entry Query'.
  See Also:
    `RegistryPackageQueryType.getRegistryEntryQuery()`, `QueryPackage.getRegistryPackageQueryType()`

### getResponseOptionType

    public org.eclipse.emf.ecore.EClass getResponseOptionType()

  Specified by:
    `getResponseOptionType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Response Option Type'.
  See Also:
    `ResponseOptionType`

### getResponseOptionType_ReturnComposedObjects

    public org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnComposedObjects()

  Specified by:
    `getResponseOptionType_ReturnComposedObjects` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Return Composed Objects'.
  See Also:
    `ResponseOptionType.isReturnComposedObjects()`, `QueryPackage.getResponseOptionType()`

### getResponseOptionType_ReturnType

    public org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnType()

  Specified by:
    `getResponseOptionType_ReturnType` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Return Type'.
  See Also:
    `ResponseOptionType.getReturnType()`, `QueryPackage.getResponseOptionType()`

### getServiceBindingBranchType

    public org.eclipse.emf.ecore.EClass getServiceBindingBranchType()

  Specified by:
    `getServiceBindingBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Service Binding Branch Type'.
  See Also:
    `ServiceBindingBranchType`

### getServiceBindingBranchType_ServiceBindingFilter

    public org.eclipse.emf.ecore.EReference getServiceBindingBranchType_ServiceBindingFilter()

  Specified by:
    `getServiceBindingBranchType_ServiceBindingFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Filter'.
  See Also:
    `ServiceBindingBranchType.getServiceBindingFilter()`, `QueryPackage.getServiceBindingBranchType()`

### getServiceBindingBranchType_SpecificationLinkBranch

    public org.eclipse.emf.ecore.EReference getServiceBindingBranchType_SpecificationLinkBranch()

  Specified by:
    `getServiceBindingBranchType_SpecificationLinkBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Specification Link Branch'.
  See Also:
    `ServiceBindingBranchType.getSpecificationLinkBranch()`, `QueryPackage.getServiceBindingBranchType()`

### getServiceBindingBranchType_ServiceBindingTargetBranch

    public org.eclipse.emf.ecore.EReference getServiceBindingBranchType_ServiceBindingTargetBranch()

  Specified by:
    `getServiceBindingBranchType_ServiceBindingTargetBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Target Branch'.
  See Also:
    `ServiceBindingBranchType.getServiceBindingTargetBranch()`, `QueryPackage.getServiceBindingBranchType()`

### getServiceQueryResultType

    public org.eclipse.emf.ecore.EClass getServiceQueryResultType()

  Specified by:
    `getServiceQueryResultType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Service Query Result Type'.
  See Also:
    `ServiceQueryResultType`

### getServiceQueryResultType_Group

    public org.eclipse.emf.ecore.EAttribute getServiceQueryResultType_Group()

  Specified by:
    `getServiceQueryResultType_Group` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ServiceQueryResultType.getGroup()`, `QueryPackage.getServiceQueryResultType()`

### getServiceQueryResultType_ObjectRef

    public org.eclipse.emf.ecore.EReference getServiceQueryResultType_ObjectRef()

  Specified by:
    `getServiceQueryResultType_ObjectRef` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ServiceQueryResultType.getObjectRef()`, `QueryPackage.getServiceQueryResultType()`

### getServiceQueryResultType_RegistryObject

    public org.eclipse.emf.ecore.EReference getServiceQueryResultType_RegistryObject()

  Specified by:
    `getServiceQueryResultType_RegistryObject` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object'.
  See Also:
    `ServiceQueryResultType.getRegistryObject()`, `QueryPackage.getServiceQueryResultType()`

### getServiceQueryResultType_RegistryEntry

    public org.eclipse.emf.ecore.EReference getServiceQueryResultType_RegistryEntry()

  Specified by:
    `getServiceQueryResultType_RegistryEntry` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Entry'.
  See Also:
    `ServiceQueryResultType.getRegistryEntry()`, `QueryPackage.getServiceQueryResultType()`

### getServiceQueryResultType_Service

    public org.eclipse.emf.ecore.EReference getServiceQueryResultType_Service()

  Specified by:
    `getServiceQueryResultType_Service` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Service'.
  See Also:
    `ServiceQueryResultType.getService()`, `QueryPackage.getServiceQueryResultType()`

### getServiceQueryType

    public org.eclipse.emf.ecore.EClass getServiceQueryType()

  Specified by:
    `getServiceQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Service Query Type'.
  See Also:
    `ServiceQueryType`

### getServiceQueryType_ServiceFilter

    public org.eclipse.emf.ecore.EReference getServiceQueryType_ServiceFilter()

  Specified by:
    `getServiceQueryType_ServiceFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Filter'.
  See Also:
    `ServiceQueryType.getServiceFilter()`, `QueryPackage.getServiceQueryType()`

### getServiceQueryType_ServiceBindingBranch

    public org.eclipse.emf.ecore.EReference getServiceQueryType_ServiceBindingBranch()

  Specified by:
    `getServiceQueryType_ServiceBindingBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Service Binding Branch'.
  See Also:
    `ServiceQueryType.getServiceBindingBranch()`, `QueryPackage.getServiceQueryType()`

### getSimpleClauseType

    public org.eclipse.emf.ecore.EClass getSimpleClauseType()

  Specified by:
    `getSimpleClauseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Simple Clause Type'.
  See Also:
    `SimpleClauseType`

### getSimpleClauseType_BooleanClause

    public org.eclipse.emf.ecore.EReference getSimpleClauseType_BooleanClause()

  Specified by:
    `getSimpleClauseType_BooleanClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Boolean Clause'.
  See Also:
    `SimpleClauseType.getBooleanClause()`, `QueryPackage.getSimpleClauseType()`

### getSimpleClauseType_RationalClause

    public org.eclipse.emf.ecore.EReference getSimpleClauseType_RationalClause()

  Specified by:
    `getSimpleClauseType_RationalClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Rational Clause'.
  See Also:
    `SimpleClauseType.getRationalClause()`, `QueryPackage.getSimpleClauseType()`

### getSimpleClauseType_StringClause

    public org.eclipse.emf.ecore.EReference getSimpleClauseType_StringClause()

  Specified by:
    `getSimpleClauseType_StringClause` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'String Clause'.
  See Also:
    `SimpleClauseType.getStringClause()`, `QueryPackage.getSimpleClauseType()`

### getSimpleClauseType_LeftArgument

    public org.eclipse.emf.ecore.EAttribute getSimpleClauseType_LeftArgument()

  Specified by:
    `getSimpleClauseType_LeftArgument` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Left Argument'.
  See Also:
    `SimpleClauseType.getLeftArgument()`, `QueryPackage.getSimpleClauseType()`

### getSlotBranchType

    public org.eclipse.emf.ecore.EClass getSlotBranchType()

  Specified by:
    `getSlotBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Slot Branch Type'.
  See Also:
    `SlotBranchType`

### getSlotBranchType_SlotFilter

    public org.eclipse.emf.ecore.EReference getSlotBranchType_SlotFilter()

  Specified by:
    `getSlotBranchType_SlotFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Slot Filter'.
  See Also:
    `SlotBranchType.getSlotFilter()`, `QueryPackage.getSlotBranchType()`

### getSlotBranchType_SlotValueFilter

    public org.eclipse.emf.ecore.EReference getSlotBranchType_SlotValueFilter()

  Specified by:
    `getSlotBranchType_SlotValueFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Slot Value Filter'.
  See Also:
    `SlotBranchType.getSlotValueFilter()`, `QueryPackage.getSlotBranchType()`

### getSpecificationLinkBranchType

    public org.eclipse.emf.ecore.EClass getSpecificationLinkBranchType()

  Specified by:
    `getSpecificationLinkBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Specification Link Branch Type'.
  See Also:
    `SpecificationLinkBranchType`

### getSpecificationLinkBranchType_SpecificationLinkFilter

    public org.eclipse.emf.ecore.EReference getSpecificationLinkBranchType_SpecificationLinkFilter()

  Specified by:
    `getSpecificationLinkBranchType_SpecificationLinkFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Specification Link Filter'.
  See Also:
    `SpecificationLinkBranchType.getSpecificationLinkFilter()`, `QueryPackage.getSpecificationLinkBranchType()`

### getSpecificationLinkBranchType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getSpecificationLinkBranchType_RegistryObjectQuery()

  Specified by:
    `getSpecificationLinkBranchType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `SpecificationLinkBranchType.getRegistryObjectQuery()`, `QueryPackage.getSpecificationLinkBranchType()`

### getSpecificationLinkBranchType_RegistryEntryQuery

    public org.eclipse.emf.ecore.EReference getSpecificationLinkBranchType_RegistryEntryQuery()

  Specified by:
    `getSpecificationLinkBranchType_RegistryEntryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Entry Query'.
  See Also:
    `SpecificationLinkBranchType.getRegistryEntryQuery()`, `QueryPackage.getSpecificationLinkBranchType()`

### getStringClauseType

    public org.eclipse.emf.ecore.EClass getStringClauseType()

  Specified by:
    `getStringClauseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'String Clause Type'.
  See Also:
    `StringClauseType`

### getStringClauseType_Value

    public org.eclipse.emf.ecore.EAttribute getStringClauseType_Value()

  Specified by:
    `getStringClauseType_Value` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `StringClauseType.getValue()`, `QueryPackage.getStringClauseType()`

### getStringClauseType_StringPredicate

    public org.eclipse.emf.ecore.EAttribute getStringClauseType_StringPredicate()

  Specified by:
    `getStringClauseType_StringPredicate` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'String Predicate'.
  See Also:
    `StringClauseType.getStringPredicate()`, `QueryPackage.getStringClauseType()`

### getUserBranchType

    public org.eclipse.emf.ecore.EClass getUserBranchType()

  Specified by:
    `getUserBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'User Branch Type'.
  See Also:
    `UserBranchType`

### getUserBranchType_UserFilter

    public org.eclipse.emf.ecore.EReference getUserBranchType_UserFilter()

  Specified by:
    `getUserBranchType_UserFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Filter'.
  See Also:
    `UserBranchType.getUserFilter()`, `QueryPackage.getUserBranchType()`

### getUserBranchType_PostalAddressFilter

    public org.eclipse.emf.ecore.EReference getUserBranchType_PostalAddressFilter()

  Specified by:
    `getUserBranchType_PostalAddressFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Postal Address Filter'.
  See Also:
    `UserBranchType.getPostalAddressFilter()`, `QueryPackage.getUserBranchType()`

### getUserBranchType_TelephoneNumberFilter

    public org.eclipse.emf.ecore.EReference getUserBranchType_TelephoneNumberFilter()

  Specified by:
    `getUserBranchType_TelephoneNumberFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `UserBranchType.getTelephoneNumberFilter()`, `QueryPackage.getUserBranchType()`

### getUserBranchType_EmailAddressFilter

    public org.eclipse.emf.ecore.EReference getUserBranchType_EmailAddressFilter()

  Specified by:
    `getUserBranchType_EmailAddressFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Email Address Filter'.
  See Also:
    `UserBranchType.getEmailAddressFilter()`, `QueryPackage.getUserBranchType()`

### getUserBranchType_OrganizationQuery

    public org.eclipse.emf.ecore.EReference getUserBranchType_OrganizationQuery()

  Specified by:
    `getUserBranchType_OrganizationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `UserBranchType.getOrganizationQuery()`, `QueryPackage.getUserBranchType()`

### getConnectivePredicateType

    public org.eclipse.emf.ecore.EEnum getConnectivePredicateType()

  Specified by:
    `getConnectivePredicateType` in interface `QueryPackage`
  Returns:
    the meta object for enum 'Connective Predicate Type'.
  See Also:
    `ConnectivePredicateType`

### getLogicalPredicateType

    public org.eclipse.emf.ecore.EEnum getLogicalPredicateType()

  Specified by:
    `getLogicalPredicateType` in interface `QueryPackage`
  Returns:
    the meta object for enum 'Logical Predicate Type'.
  See Also:
    `LogicalPredicateType`

### getReturnTypeType

    public org.eclipse.emf.ecore.EEnum getReturnTypeType()

  Specified by:
    `getReturnTypeType` in interface `QueryPackage`
  Returns:
    the meta object for enum 'Return Type Type'.
  See Also:
    `ReturnTypeType`

### getStringPredicateType

    public org.eclipse.emf.ecore.EEnum getStringPredicateType()

  Specified by:
    `getStringPredicateType` in interface `QueryPackage`
  Returns:
    the meta object for enum 'String Predicate Type'.
  See Also:
    `StringPredicateType`

### getConnectivePredicateTypeObject

    public org.eclipse.emf.ecore.EDataType getConnectivePredicateTypeObject()

  Specified by:
    `getConnectivePredicateTypeObject` in interface `QueryPackage`
  Returns:
    the meta object for data type 'Connective Predicate Type Object'.
  See Also:
    `ConnectivePredicateType`

### getLogicalPredicateTypeObject

    public org.eclipse.emf.ecore.EDataType getLogicalPredicateTypeObject()

  Specified by:
    `getLogicalPredicateTypeObject` in interface `QueryPackage`
  Returns:
    the meta object for data type 'Logical Predicate Type Object'.
  See Also:
    `LogicalPredicateType`

### getReturnTypeTypeObject

    public org.eclipse.emf.ecore.EDataType getReturnTypeTypeObject()

  Specified by:
    `getReturnTypeTypeObject` in interface `QueryPackage`
  Returns:
    the meta object for data type 'Return Type Type Object'.
  See Also:
    `ReturnTypeType`

### getStringPredicateTypeObject

    public org.eclipse.emf.ecore.EDataType getStringPredicateTypeObject()

  Specified by:
    `getStringPredicateTypeObject` in interface `QueryPackage`
  Returns:
    the meta object for data type 'String Predicate Type Object'.
  See Also:
    `StringPredicateType`

### getQueryFactory

    public QueryFactory getQueryFactory()

  Specified by:
    `getQueryFactory` in interface `QueryPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD